> For the complete documentation index, see [llms.txt](https://docs.stakelocal.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stakelocal.io/dashboard-installation/prometheus-jobs-and-targets/third-party-targets.md).

# Third-Party Targets

## Third-Party Targets

The following two targets allow the Stake Local dashboard to access information from external APIs.

### GitHub

GitHub provides details about the latest release of software packages in use.

View the GitHub configuration file in the `/etc/prometheus/files_sd/stakelocal/other` directory.

```bash
cat /etc/prometheus/files_sd/stakelocal/other/github.yml
```

It should look like the following.

```yaml
    - targets: [ 'ledgerwatch/erigon' ]
      labels:
        client: 'Erigon'
    - targets: [ 'nethermindeth/nethermind' ]
      labels:
        client: 'Nethermind'
    - targets: [ 'ethereum/go-ethereum' ]
      labels:
        client: 'Geth'
    - targets: [ 'hyperledger/besu' ]
      labels:
        client: 'Besu'
    - targets: [ 'prysmaticlabs/prysm' ]
      labels:
        client: 'Prysm'
    - targets: [ 'consensys/teku' ]
      labels:
        client: 'Teku'
    - targets: [ 'status-im/nimbus-eth2' ]
      labels:
        client: 'Nimbus'
    - targets: [ 'sigp/lighthouse' ]
      labels:
        client: 'Lighthouse'
    - targets: [ 'attestantio/dirk' ]
      labels:
        client: 'Dirk'
    - targets: [ 'attestantio/vouch' ]
      labels:
        client: 'Vouch'
    - targets: [ 'chainsafe/lodestar' ]
      labels:
        client: 'Lodestar'
    - targets: [ 'prometheus/prometheus' ]
      labels:
        client: 'Prometheus'
    - targets: [ 'prometheus/node_exporter' ]
      labels:
        client: 'Node Exporter'
    - targets: [ 'prometheus/blackbox_exporter' ]
      labels:
        client: 'Blackbox Exporter'
    - targets: [ 'prometheus-community/json_exporter' ]
      labels:
        client: 'JSON Exporter'
    - targets: [ 'ethpandaops/ethereum-metrics-exporter' ]
      labels:
        client: 'Ethereum Metrics Exporter'
    - targets: [ 'grafana/grafana' ]
      labels:
        client: 'Grafana'
```

{% hint style="info" %}
No changes are required for this file.
{% endhint %}

### CoinGecko

CoinGecko provides the latest ETH price in multiple fiat values.

View the CoinGecko configuration file in the `/etc/prometheus/files_sd/stakelocal/other` directory.

```bash
cat /etc/prometheus/files_sd/stakelocal/other/coingecko.yml
```

It should look like the following.

```yaml
    - targets: ['usd,eur,jpy,gbp,aud,cad,chf,cny,hkd,nzd,ils,krw,mxn,rub,sgd,twd,inr']
      labels:
        source: 'CoinGecko'
```

{% hint style="info" %}
No changes are required for this file.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stakelocal.io/dashboard-installation/prometheus-jobs-and-targets/third-party-targets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
